Last Comment Bug 367127 - Make mozconfig-find space-safe (e.g. spaces in $HOME)
: Make mozconfig-find space-safe (e.g. spaces in $HOME)
Status: RESOLVED FIXED
: fixed1.8.0.10, fixed1.8.1.2
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: ---
Assigned To: Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-16 07:38 PST by Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg]
Modified: 2007-01-31 12:18 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Honor mozconfig with spaces, rev. 1 (2.85 KB, patch)
2007-01-16 07:38 PST, Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg]
dbaron: review+
jaymoz: approval1.8.1.2+
jaymoz: approval1.8.0.10+
Details | Diff | Splinter Review

Description Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2007-01-16 07:38:16 PST
Created attachment 251639 [details] [diff] [review]
Honor mozconfig with spaces, rev. 1

If your $HOME is /c/Documents and Settings/Benjamin Smedberg mozconfig-find doesn't find a .mozconfig in it.
Comment 1 David Baron :dbaron: ⌚️UTC+2 (review requests must explain patch) 2007-01-16 16:23:22 PST
Comment on attachment 251639 [details] [diff] [review]
Honor mozconfig with spaces, rev. 1

r=dbaron
Comment 2 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2007-01-17 12:19:53 PST
Fixed on trunk. I'd like to get this on the active branches as well.
Comment 3 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2007-01-17 12:32:56 PST
Comment on attachment 251639 [details] [diff] [review]
Honor mozconfig with spaces, rev. 1

As a build-config change this is very low-risk.
Comment 4 Jay Patel [:jay] 2007-01-17 15:14:03 PST
Comment on attachment 251639 [details] [diff] [review]
Honor mozconfig with spaces, rev. 1

Approved for both branches, a=jay for drivers.
Comment 5 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2007-01-18 08:05:57 PST
Fixed on MOZILLA_1_8_BRANCH and MOZILLA_1_8_0_BRANCH

Note You need to log in before you can comment on or make changes to this bug.